Index: zaptel.init
===================================================================
--- zaptel.init	(revision 1150)
+++ zaptel.init	(working copy)
@@ -63,10 +63,10 @@
 	rmmod audio >& /dev/null
 	if [ $system = debian ]; then
 	    echo -n "Loading zaptel framework: " 
-	    modprobe zaptel >& /dev/null && echo -n "done"
+	    modprobe zaptel ${ARGS} >& /dev/null && echo -n "done"
 	    echo "."
 	elif [ $system = redhat ]; then
-	    action "Loading zaptel framework: " modprobe zaptel
+	    action "Loading zaptel framework: " modprobe zaptel ${ARGS}
 	fi
 	echo -n "Waiting for zap to come online..."
 	TMOUT=10 # max secs to wait
@@ -82,6 +82,7 @@
 	echo -n "Loading zaptel hardware modules:"
 	for x in $MODULES; do 
 		eval localARGS="\$${x}_ARGS"
+		export CMDLINE_OPTS="${ARGS} ${localARGS}"
 		if modprobe ${x} ${ARGS} ${localARGS} >& /dev/null; then
 			echo -n " $x"
 		fi
@@ -103,6 +104,10 @@
         [ $RETVAL -eq 0 ] && touch /var/lock/subsys/zaptel
         ;;
   stop)
+        # Shutdown all running spans - required for dynamic spans
+        echo -n "Shutting down spans: "
+        /sbin/ztcfg -s >& /dev/null
+        echo "Ok"
         # Unload drivers
         echo -n "Unloading zaptel hardware drivers:"
 	for x in $RMODULES; do 
